Browse Source

Drop python3.6/3.7 support in testing runtime

In Zed cycle testing runtime, we are targetting to drop the
python 3.6/3.7 support, project started adding python 3.8 as minimum,

example nova:
- 56b5aed08c/setup.cfg (L13)

Also indicates that we support python 3.9.

Change-Id: I298bf00067bd877e4d29cddd15512b9e7fda3bf3
changes/26/840626/2
Hervé Beraud 3 months ago
parent
commit
8b545f387e
  1. 6
      setup.cfg

6
setup.cfg

@ -6,7 +6,7 @@ description-file =
author = OpenStack Documentation
author-email = openstack-discuss@lists.openstack.org
home-page = https://docs.openstack.org/openstack-doc-tools/latest/
python-requires = >=3.6
python-requires = >=3.8
classifier =
Environment :: OpenStack
Intended Audience :: Information Technology
@ -17,8 +17,8 @@ classifier =
Programming Language :: Python :: Implementation :: CPython
Programming Language :: Python :: 3 :: Only
Programming Language :: Python :: 3
Programming Language :: Python :: 3.6
Programming Language :: Python :: 3.7
Programming Language :: Python :: 3.8
Programming Language :: Python :: 3.9
[files]
packages =

Loading…
Cancel
Save